# WaveData (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.openal
Class WaveData

    java.lang.Object
      org.newdawn.slick.openal.WaveData

    public class WaveData

extends java.lang.Object

Utitlity class for loading wavefiles.

Version:
  $Revision: 2286 $ $Id: WaveData.java 2286 2006-03-23 19:32:21Z matzon $
Author:
  Brian Matzon <brian@matzon.dk>

Field Summary
`java.nio.ByteBuffer` `data` actual wave data
`int` `format` format type of data
`int` `samplerate` sample rate of data

Method Summary
`static WaveData` `create(javax.sound.sampled.AudioInputStream ais)` Creates a WaveData container from the specified stream
`static WaveData` `create(byte[] buffer)` Creates a WaveData container from the specified bytes
`static WaveData` `create(java.nio.ByteBuffer buffer)` Creates a WaveData container from the specified ByetBuffer.
`static WaveData` `create(java.io.InputStream is)` Creates a WaveData container from the specified inputstream
`static WaveData` `create(java.lang.String path)` Creates a WaveData container from the specified in the classpath
`static WaveData` `create(java.net.URL path)` Creates a WaveData container from the specified url
`void` `dispose()` Disposes the wavedata

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    public final java.nio.ByteBuffer data

  actual wave data

### format

    public final int format

  format type of data

### samplerate

    public final int samplerate

  sample rate of data

Method Detail

### dispose

    public void dispose()

  Disposes the wavedata

### create

    public static WaveData create(java.net.URL path)

  Creates a WaveData container from the specified url

  Parameters:
    `path` - URL to file
  Returns:
    WaveData containing data, or null if a failure occured

### create

    public static WaveData create(java.lang.String path)

  Creates a WaveData container from the specified in the classpath

  Parameters:
    `path` - path to file (relative, and in classpath)
  Returns:
    WaveData containing data, or null if a failure occured

### create

    public static WaveData create(java.io.InputStream is)

  Creates a WaveData container from the specified inputstream

  Parameters:
    `is` - InputStream to read from
  Returns:
    WaveData containing data, or null if a failure occured

### create

    public static WaveData create(byte[] buffer)

  Creates a WaveData container from the specified bytes

  Parameters:
    `buffer` - array of bytes containing the complete wave file
  Returns:
    WaveData containing data, or null if a failure occured

### create

    public static WaveData create(java.nio.ByteBuffer buffer)

  Creates a WaveData container from the specified ByetBuffer. If the buffer is backed by an array, it will be used directly, else the contents of the buffer will be copied using get(byte[]).

  Parameters:
    `buffer` - ByteBuffer containing sound file
  Returns:
    WaveData containing data, or null if a failure occured

### create

    public static WaveData create(javax.sound.sampled.AudioInputStream ais)

  Creates a WaveData container from the specified stream

  Parameters:
    `ais` - AudioInputStream to read from
  Returns:
    WaveData containing data, or null if a failure occured

Copyright © 2006 New Dawn Software. All Rights Reserved.